.Produc_Container img:hover {
    transform: translateY(-5px); /* levanta el botón al pasar el mouse */
    box-shadow: 0 14px 28px rgba(0, 0, 0, .45); /* sombra más intensa en hover */
}


.ir-arriba {
 display:none;
  background-repeat:no-repeat;
  font-size:25px;
  color:black;
  cursor:pointer;
  position:fixed;
  bottom:110px;
  right:45px;
  z-index:2;
}

.ir-arriba:hover {
  transform: translateY(-3px); /* Levanta un poco el botón */
}